@each $key, $value in $iconMap {
    [data-icon="#{$key}"] {
        &:before {
            position: relative;
            top: 1px;
            @include _icon-style();
            content: $value;
        }

        &:not(:empty):before {
            margin-right: 7px;
        }
    }
}